Ubuntu

kmix is crashing after multiple volume changes

Reported by Jonathan Riddell on 2012-03-24
110
This bug affects 24 people
Affects Status Importance Assigned to Milestone
KDE Multimedia
Fix Released
High
kdemultimedia (Ubuntu)
High
Unassigned
Precise
High
Unassigned
Quantal
High
Unassigned

Bug Description

kmix crashes on changing track in amarok etc since sc 4.8.1

Download full text (5.2 KiB)

Application: kmix (4)
KDE Platform Version: 4.7.95 (4.8 RC1 (4.7.95)
Qt Version: 4.7.4
Operating System: Linux 3.2.0-desktop-0.rc7.2.mga2 i686
Distribution: "Mageia Cauldron"

-- Information about the crash:
kmix crashed (segfault) upon changing volume a few times, this is reproducable by changing volume up and down impatiently about a dozen times.

distribution is mageia cauldron, bug is filed: https://bugs.mageia.org/show_bug.cgi?id=3909

The crash can be reproduced every time.

-- Backtrace:
Application: KMix (kdeinit4), signal: Segmentation fault
Using host libthread_db library "/lib/i686/libthread_db.so.1".
[Current thread is 1 (Thread 0xb54406d0 (LWP 4080))]

Thread 2 (Thread 0xa7563b70 (LWP 4187)):
#0 0xb5abbb40 in clock_gettime () from /lib/i686/librt.so.1
#1 0xb6d0b8d5 in ?? () from /usr/lib/libQtCore.so.4
#2 0xb6ddded6 in ?? () from /usr/lib/libQtCore.so.4
#3 0xb6dde23a in ?? () from /usr/lib/libQtCore.so.4
#4 0xb6ddcad3 in ?? () from /usr/lib/libQtCore.so.4
#5 0xb6ddcb6d in ?? () from /usr/lib/libQtCore.so.4
#6 0xb5a07c9a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7 0xb5a084bf in ?? () from /lib/libglib-2.0.so.0
#8 0xb5a08711 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9 0xb6ddd567 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#10 0xb6dae17d in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#11 0xb6dae3c1 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#12 0xb6cb13eb in QThread::exec() () from /usr/lib/libQtCore.so.4
#13 0xb6d8ed7d in ?? () from /usr/lib/libQtCore.so.4
#14 0xb6cb42a3 in ?? () from /usr/lib/libQtCore.so.4
#15 0xb6c3ea37 in start_thread () from /lib/i686/libpthread.so.0
#16 0xb601198e in clone () from /lib/i686/libc.so.6
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xb54406d0 (LWP 4080)):
[KCrash Handler]
#7 volrange (vol=19538, this=0x0) at /usr/src/debug/kdemultimedia-4.7.95/kmix/core/volume.cpp:217
#8 Volume::setAllVolumes (this=0x0, vol=19538) at /usr/src/debug/kdemultimedia-4.7.95/kmix/core/volume.cpp:113
#9 0xb1892399 in volumeChangeInternal (ref_sliders=..., vol=..., this=<optimized out>) at /usr/src/debug/kdemultimedia-4.7.95/kmix/gui/mdwslider.cpp:872
#10 MDWSlider::volumeChangeInternal (this=0x8aa11d8, vol=..., ref_sliders=...) at /usr/src/debug/kdemultimedia-4.7.95/kmix/gui/mdwslider.cpp:867
#11 0xb18923ef in MDWSlider::volumeChange (this=0x8aa11d8) at /usr/src/debug/kdemultimedia-4.7.95/kmix/gui/mdwslider.cpp:862
#12 0xb18953d9 in MDWSlider::qt_metacall (this=0x8aa11d8, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0xbfeff828) at /usr/src/debug/kdemultimedia-4.7.95/build/kmix/mdwslider.moc:121
#13 0xb6db550d in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#14 0xb6dc4420 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#15 0xb69e7645 in QAbstractSlider::valueChanged(int) () from /usr/lib/libQtGui.so.4
#16 0xb66e891b in QAbstractSlider::setValue(int) () from /usr...

Read more...

I'm affected by this one too

Created attachment 67523
New crash information added by DrKonqi

kmix (4) on KDE Platform 4.7.97 (4.8 RC2 (4.7.97) using Qt 4.7.4

this is now a backtrace with the latest version (kdemultimedia4-4.7.97-1.mga2)

-- Backtrace (Reduced):
#7 operator!= (value=1, this=0x34) at /usr/include/QtCore/qbasicatomic.h:75
[...]
#9 begin (this=0xa00ce84) at /usr/include/QtCore/qmap.h:369
#10 Volume::setAllVolumes (this=0xa00ce80, vol=36576) at /usr/src/debug/kdemultimedia-4.7.97/kmix/core/volume.cpp:113
#11 0xb19493df in MDWSlider::volumeChangeInternal (this=0x9f07098, vol=..., ref_sliders=...) at /usr/src/debug/kdemultimedia-4.7.97/kmix/gui/mdwslider.cpp:868
#12 0xb194942f in MDWSlider::volumeChange (this=0x9f07098) at /usr/src/debug/kdemultimedia-4.7.97/kmix/gui/mdwslider.cpp:854

Created attachment 67536
New crash information added by DrKonqi

kmix (4) on KDE Platform 4.7.97 (4.8 RC2 (4.7.97) using Qt 4.7.4

- What I was doing when the application crashed: Still present in 4.8 RC2. Hope this gets fixed until the release.

-- Backtrace (Reduced):
#6 0x00007f72247fa19c in MDWSlider::volumeChange (this=<optimized out>) at ../../kmix/gui/mdwslider.cpp:854
#7 0x00007f72247fc747 in MDWSlider::qt_metacall (this=0x19be430, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0x7fff9029b140) at ./mdwslider.moc:121
[...]
#9 0x000000345766da4e in QAbstractSlider::valueChanged (this=<optimized out>, _t1=6553) at .moc/release-shared/moc_qabstractslider.cpp:182
#10 0x0000003457448503 in QSlider::mousePressEvent (this=0x19bec00, ev=0x7fff9029b8a0) at widgets/qslider.cpp:480
#11 0x000000345704cf79 in QWidget::event (this=0x19bec00, event=0x7fff9029b8a0) at kernel/qwidget.cpp:8291

Unfortunately I cannot reproduce this.
How did you change the volume? Via KMix main window, Keyboard shortcuts, tray, Tray popup, DBUS, or a different application? Or can you reproduce the crash with different methods?

(In reply to comment #4)
> Unfortunately I cannot reproduce this.
> How did you change the volume? Via KMix main window, Keyboard shortcuts, tray,
> Tray popup, DBUS, or a different application? Or can you reproduce the crash
> with different methods?

Additional info: This might be duplicate of Bug 290288

Well, I can't reproduce it anymore. KMix doesn't crash anymore for me.

*** Bug 291418 has been marked as a duplicate of this bug. ***

sorry for my late reply,

several ways of changing the volume triggered the crash, the most effective way was however to click with the mouse around the slider after clicking the speaker symbol in the panel.

it seems this problem is fixed by now, I will confirm as soon as I can.

Download full text (4.4 KiB)

I just was about to write I cant reproduce it anymore and tried it one final time:

package under test is: kdemultimedia4-4.8.0-1.mga2.src.rpm

how I reproduced the crash:

1. clicked on loudspeaker symbol in lower right on panel
2. clicked several times above and below the current volume of the device
3. repeated above step with the volume of the playing stream
4. segfault occurs

I will add a screenshot as soon as I rebooted

Application: KMix (kdeinit4), signal: Segmentation fault
Using host libthread_db library "/lib/i686/libthread_db.so.1".
[Current thread is 1 (Thread 0xb53fd6e0 (LWP 3983))]

Thread 2 (Thread 0xa7592b70 (LWP 4034)):
#0 0xb6e39277 in ?? () from /usr/lib/libQtCore.so.4
#1 0xb59e42ea in g_main_context_prepare () from /lib/libglib-2.0.so.0
#2 0xb59e4b0f in ?? () from /lib/libglib-2.0.so.0
#3 0xb59e4d61 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4 0xb6e39af7 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5 0xb6e05ccd in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6 0xb6e05f69 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7 0xb6cf06dc in QThread::exec() () from /usr/lib/libQtCore.so.4
#8 0xb6de31dd in ?? () from /usr/lib/libQtCore.so.4
#9 0xb6cf3bc0 in ?? () from /usr/lib/libQtCore.so.4
#10 0xb6c77a37 in start_thread () from /lib/i686/libpthread.so.0
#11 0xb601698e in clone () from /lib/i686/libc.so.6
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xb53fd6e0 (LWP 3983)):
[KCrash Handler]
#7 0x00000050 in ?? ()
#8 0xb17e5abc in MDWSlider::volumeChange (this=0x93fb200) at /usr/src/debug/kdemultimedia-4.8.0/kmix/gui/mdwslider.cpp:854
#9 0xb17e84b9 in qt_static_metacall (_a=0xbfb20668, _id=14, _o=0x93fb200, _c=<optimized out>) at /usr/src/debug/kdemultimedia-4.8.0/build/kmix/mdwslider.moc:98
#10 MDWSlider::qt_static_metacall (_o=0x93fb200, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0xbfb20668) at /usr/src/debug/kdemultimedia-4.8.0/build/kmix/mdwslider.moc:78
#11 0xb6e1d7af in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#12 0xb6a13c65 in QAbstractSlider::valueChanged(int) () from /usr/lib/libQtGui.so.4
#13 0xb670ab75 in QAbstractSlider::setValue(int) () from /usr/lib/libQtGui.so.4
#14 0xb670ae70 in QAbstractSlider::triggerAction(QAbstractSlider::SliderAction) () from /usr/lib/libQtGui.so.4
#15 0xb67b2844 in QSlider::mousePressEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#16 0xb633904b in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#17 0xb670b6d3 in QAbstractSlider::event(QEvent*) () from /usr/lib/libQtGui.so.4
#18 0xb67b23c0 in QSlider::event(QEvent*) () from /usr/lib/libQtGui.so.4
#19 0xb62deb04 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#20 0xb62e493c in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#21 0xb7480741 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#22 0xb6e0715e in QCoreApplication::notifyInternal(QObject*, QEv...

Read more...

Created attachment 69062
screenshot of the two sliders i need to click to trigger

as described in my previous comment

Created attachment 69064
New crash information added by DrKonqi

kmix (4) on KDE Platform 4.8.00 (4.8.0 using Qt 4.8.0

finally a proper and complete backtrace with Qt and KDElibs debug symbols

-- Backtrace (Reduced):
#8 0xb180eabc in MDWSlider::volumeChange (this=0x8855258) at /usr/src/debug/kdemultimedia-4.8.0/kmix/gui/mdwslider.cpp:854
#9 0xb18114b9 in qt_static_metacall (_a=0xbfaea9d8, _id=14, _o=0x8855258, _c=<optimized out>) at /usr/src/debug/kdemultimedia-4.8.0/build/kmix/mdwslider.moc:98
#10 MDWSlider::qt_static_metacall (_o=0x8855258, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0xbfaea9d8) at /usr/src/debug/kdemultimedia-4.8.0/build/kmix/mdwslider.moc:78
[...]
#12 0xb6a3cc65 in QAbstractSlider::valueChanged (this=0x8857308, _t1=32143) at .moc/release-shared/moc_qabstractslider.cpp:196
#13 0xb6733b75 in QAbstractSlider::setValue (this=0x8857308, value=32143) at widgets/qabstractslider.cpp:543

Created attachment 69090
kmix applet after logout and relogin

once i logout from kde4 and re-login (same user) the kmix popup looks different (no second slider)
in this case i so far couldnt provoke the crash

@Christian

what kind of further info is needed?
please let me know what I can do to trace this bug.

the crash happens now right after the kde desktop is loaded (every time)
next time i will capture a backtrace and attach here

Current findings:
The crash happens in kdemultimedia-4.8.0/kmix/gui/mdwslider.cpp:854, which is:
if (m_slidersPlayback.count() > 0) volumeChangeInternal(m_mixdevice->playbackVolume(), m_slidersPlayback);

The problem cannot be m_slidersPlayback, as it is owned by MdwSlider itself. What remains is m_mixdevice. So my guess is that m_mixdevice points to something invalid. it is quite likely a disappearing audio stream. This could easily happen during loginm, when a "welcome sound" is played.

My current theory goes like this:
1) Stream plays
2) Somewhere a volume change is coming in (you might consider to disable KMix's own volume restore)
3) Stream ends => m_mixdevice gets discarded
4) The volume change is propagated to the volumeChange() method, which accesses a dead pointer in line 854.

Possible solutions: See next comment

Even though KMix is single-threaded (apart from the Qt internal Threads), we got now a near multi-threaded nature due to asynchronous delivery. KMix is not build for such and must deal with this. This is a major effort, and will require quite some time.

What is needed is proper Object management, which means techniques like object pools, shared pointers, reference counting and proper synchronizing. I will quite likely do this, beginning with MixDevice, as this is the one that is relevant here. But we will also need it for Mixer.

SVN commit 1285261 by esken:

ControlPool class. Provides better concurrency handling, required for asynchronous Backends (Pulseaudio, MPRIS2).

 AM ControlPool.cpp [License: LGPL (v2+)]
 AM ControlPool.h [License: LGPL (v2+)]

WebSVN link: http://websvn.kde.org/?view=rev&revision=1285261

Actually this is becoming a more than major task. I already have modified 26 files (uncommited, as it has not even reached Alpha Quality). The required changes are so huge that I don't see how this could ever fit into a KDE4.8.x bug fix release. Unfortunately it is way to dangerous in my opinion.

i understand your concerns, but for sure as it is, it's not in a usable state at all...

interestingly it seems to be more stable after a restart (either from dr konqi or manually)

also somehow the applet is garbled please compared the new screenshot with my previous ones (no changes in settings, in the main windows im always using vertical sliders)

Created attachment 69624
messed up layout of applet after one of the latest updates

@christian

I just wanted to let you know there seems to be one problem with pulse audio as pointed out by colin (https://bugs.mageia.org/show_bug.cgi?id=3909#c21) since i removed the tick mark all symptoms are gone (obviousely not the things you have identified and are working on) so I guess with a little warning or work-around we can safe ourselves over to 4.9

thanks for your efforts, im looking forward to see and test your improvements

I noticed the Layout issue as well. It was out of my control. Someone patched KMix so orientation in the Tray follows the configured orientation. This is a good thing.
I had documented years ago in the source code something like "This is good enough. We always have only one Control in the Tray". Which is - well - nowadays not true any longer.

About whether to add my refactoring to 4.8, we'll see. Its really really hardcore changes - about every part of KMix is affected (Window, Volume restorer, also all non-GUI-Parts, DBUS, Tray, ...). I am happy that I now have a version that only shows some strange strings and crashes only at quit.

I tried to reproduce the crashes wildly changing volume controls, but - no way. Neither with Pulseaudio backend, ALSA, MPRIS2, mixed backends.

it sounds like you are seeing good progress :-)
keep the spirit up!

I'm happy disabling this PA feature as it does fix the problem for me 90%, but I'm definitely looking forward to your all new improved version!

thanks for your efforts

I decided to put the change in trunk first. If the issue is so pressing that we need an updated 4.8 version, then I will copy KMix trunk to branch 4.8. Commiting to trunk in a couple of seconds.

SVN commit 1286620 by esken:

Stabilizing KMix for asynchronous backends (Pulseaudio, MPRIS2), by using shared pointer constructs, Part 1 (MixDevice class).

 M +3 -0 CMakeLists.txt
 M +20 -13 apps/kmix.cpp
 M +5 -5 apps/kmixd.cpp
 M +2 -2 backends/mixer_alsa.h
 M +9 -9 backends/mixer_alsa9.cpp
 M +24 -17 backends/mixer_backend.cpp
 M +4 -4 backends/mixer_backend.h
 M +13 -16 backends/mixer_mpris2.cpp
 M +2 -2 backends/mixer_mpris2.h
 M +5 -6 backends/mixer_oss.cpp
 M +2 -2 backends/mixer_oss.h
 M +7 -7 backends/mixer_oss4.cpp
 M +2 -2 backends/mixer_oss4.h
 M +13 -10 backends/mixer_pulse.cpp
 M +2 -2 backends/mixer_pulse.h
 M +3 -3 backends/mixer_sun.cpp
 M +2 -2 backends/mixer_sun.h
 AM core/ControlPool.cpp [License: LGPL (v2+)]
 AM core/ControlPool.h [License: LGPL (v2+)]
 M +5 -0 core/MasterControl.h
 M +18 -1 core/mixdevice.cpp
 M +12 -1 core/mixdevice.h
 M +17 -16 core/mixdevicecomposite.cpp
 M +2 -2 core/mixdevicecomposite.h
 M +59 -43 core/mixer.cpp
 M +7 -7 core/mixer.h
 M +2 -2 core/mixertoolbox.cpp
 M +11 -10 core/mixset.cpp
 M +2 -2 core/mixset.h
 M +1 -1 core/version.h
 M +4 -2 dbus/dbuscontrolwrapper.cpp
 M +2 -2 dbus/dbuscontrolwrapper.h
 M +2 -2 dbus/dbusmixerwrapper.cpp
 M +1 -1 dbus/dbusmixsetwrapper.cpp
 M +6 -4 gui/dialogselectmaster.cpp
 M +1 -1 gui/dialogviewconfiguration.cpp
 M +15 -12 gui/kmixdockwidget.cpp
 M +1 -1 gui/mdwenum.cpp
 M +1 -1 gui/mdwenum.h
 M +1 -1 gui/mdwmoveaction.cpp
 M +3 -3 gui/mdwmoveaction.h
 M +3 -3 gui/mdwslider.cpp
 M +1 -1 gui/mdwslider.h
 M +1 -1 gui/mixdevicewidget.cpp
 M +4 -3 gui/mixdevicewidget.h
 M +4 -4 gui/viewbase.cpp
 M +2 -1 gui/viewbase.h
 M +4 -6 gui/viewdockareapopup.cpp
 M +2 -2 gui/viewdockareapopup.h
 M +3 -3 gui/viewsliders.cpp
 M +2 -2 gui/viewsliders.h

WebSVN link: http://websvn.kde.org/?view=rev&revision=1286620

SVN commit 1286624 by esken:

More MixDevice reference cleanups, and fix some minor memory leaks.

 M +2 -0 backends/mixer_alsa.h
 M +10 -2 backends/mixer_alsa9.cpp
 M +2 -0 backends/mixer_backend.cpp
 M +1 -2 backends/mixer_mpris2.cpp
 M +7 -4 core/mixdevice.cpp
 M +3 -0 core/mixdevice.h
 M +1 -1 core/mixer.cpp
 M +1 -1 core/mixer.h
 M +4 -0 core/mixset.cpp
 M +2 -0 core/mixset.h
 M +6 -20 gui/viewbase.cpp
 M +3 -2 gui/viewbase.h
 M +2 -2 gui/viewdockareapopup.cpp
 M +1 -1 gui/viewdockareapopup.h
 M +10 -8 gui/viewsliders.cpp

WebSVN link: http://websvn.kde.org/?view=rev&revision=1286624

Jonathan Riddell (jr) on 2012-03-24
tags: added: kubuntu
Changed in kdemultimedia (Ubuntu):
milestone: none → ubuntu-12.04-beta-2

*** Bug 296349 has been marked as a duplicate of this bug. ***

*** Bug 292837 has been marked as a duplicate of this bug. ***

*** Bug 290197 has been marked as a duplicate of this bug. ***

Testers needed for Trunk version of KMix. This is a good time to test if you can easily reproduce the crash (I am not able to do so at all, as it never crashes for me, independent on the chosen Backend).
The complete change to MixDevice is commited to trunk. There is more to do (especially for hotplug/unplug of complete cards), but this change is the most important one. If at all, I am expecting memory leaks but hopefully this should bring a lot of stability.

*** Bug 290248 has been marked as a duplicate of this bug. ***

*** Bug 295109 has been marked as a duplicate of this bug. ***

*** Bug 288441 has been marked as a duplicate of this bug. ***

Changed in kdemultimedia (Ubuntu):
milestone: ubuntu-12.04-beta-2 → ubuntu-12.04
38 comments hidden view all 262 comments
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in kdemultimedia (Ubuntu):
status: New → Confirmed
Jonathan Riddell (jr) wrote :
Changed in kdemultimedia (Ubuntu):
milestone: ubuntu-12.04 → precise-updates
importance: Undecided → High
Jonathan Riddell (jr) on 2012-04-25
summary: - kmix crashes in 4.8.1
+ kmix is crashing after multiple volume changes
nulll (nu111) wrote :

I would like to install Kubuntu 12.04 but I'm worried about this bug,
what appens when kmix crashes?
are there plans to fix this bug during the lifetime of kubuntu 12.04?

Silviu C. (silviucc) wrote :

@nulll Nothing terrible happens if kmix crashes. You can just restart it via menu entry (Multimedia -> Kmix I believe). Sound is handled by alsa and pulseaudio.

OvermindDL1 (overminddl1) wrote :

I also get KMix crashing repeatedly when adjusting volume up/down whether by hot keys, through the menu in the taskbar by the clock, or in the application main window.

PulseAudio itself also seems to be dying repeatedly, no where near as often as KMix, and it does not seem to be a crash, as far as it seems it is acting like something is hard killing it, but I cannot find out what. Unsure if related, but seems relevant.

Matthieu Yiptong (ergosteur) wrote :

Bug #290742 over at bugs.kde.org states that this issue is resolved upstream in the latest version of kmix.
https://bugs.kde.org/show_bug.cgi?id=290742

However kmix hasn't been updated in kubuntu repos. If you're impatient like me, you can just install it from the kubuntu updates ppa. https://launchpad.net/~kubuntu-ppa/+archive/ppa

Changed in kdemultimedia:
importance: Unknown → High
status: Unknown → Fix Released
Changed in kdemultimedia (Ubuntu Quantal):
status: Confirmed → Fix Released
Changed in kdemultimedia (Ubuntu Precise):
status: New → Triaged
Changed in kdemultimedia (Ubuntu Quantal):
milestone: precise-updates → none
Changed in kdemultimedia (Ubuntu Precise):
milestone: none → ubuntu-12.04.1
importance: Undecided → High
216 comments hidden view all 262 comments

*** Bug 300562 has been marked as a duplicate of this bug. ***

*** Bug 300567 has been marked as a duplicate of this bug. ***

*** Bug 300602 has been marked as a duplicate of this bug. ***

*** Bug 300623 has been marked as a duplicate of this bug. ***

*** Bug 300631 has been marked as a duplicate of this bug. ***

*** Bug 300650 has been marked as a duplicate of this bug. ***

*** Bug 300652 has been marked as a duplicate of this bug. ***

*** Bug 300681 has been marked as a duplicate of this bug. ***

*** Bug 300663 has been marked as a duplicate of this bug. ***

*** Bug 300695 has been marked as a duplicate of this bug. ***

*** Bug 300766 has been marked as a duplicate of this bug. ***

*** Bug 300666 has been marked as a duplicate of this bug. ***

*** Bug 300684 has been marked as a duplicate of this bug. ***

*** Bug 300767 has been marked as a duplicate of this bug. ***

*** Bug 300793 has been marked as a duplicate of this bug. ***

*** Bug 300826 has been marked as a duplicate of this bug. ***

Created attachment 71433
New crash information added by DrKonqi

kmix (4) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed:

When I change between HDMI ouanalogical output kmix crashes, everery time.

-- Backtrace (Reduced):
#8 0xb76ddf78 in MDWSlider::update (this=0xa0fe7a0) at ../../kmix/gui/mdwslider.cpp:1001
#9 0xb76d8c23 in ViewDockAreaPopup::refreshVolumeLevels (this=0xa0fe050) at ../../kmix/gui/viewdockareapopup.cpp:168
#10 0xb76d5913 in qt_static_metacall (_a=0xbf86fd40, _id=3, _o=0xa0fe050, _c=<optimized out>) at ./viewbase.moc:64
#11 ViewBase::qt_static_metacall (_o=0xa0fe050, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbf86fd40) at ./viewbase.moc:55
[...]
#13 0xb76f8c75 in Mixer::controlChanged (this=0xa080ee0) at ./mixer.moc:117

(In reply to comment #231)
> Created attachment 71433 [details]
> New crash information added by DrKonqi
>
> kmix (4) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1
>
> - What I was doing when the application crashed:
>
> When I change between HDMI ouanalogical output kmix crashes, everery time.
>
> -- Backtrace (Reduced):
> #8 0xb76ddf78 in MDWSlider::update (this=0xa0fe7a0) at
> ../../kmix/gui/mdwslider.cpp:1001
> #9 0xb76d8c23 in ViewDockAreaPopup::refreshVolumeLevels (this=0xa0fe050) at
> ../../kmix/gui/viewdockareapopup.cpp:168
> #10 0xb76d5913 in qt_static_metacall (_a=0xbf86fd40, _id=3, _o=0xa0fe050,
> _c=<optimized out>) at ./viewbase.moc:64
> #11 ViewBase::qt_static_metacall (_o=0xa0fe050,
> _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbf86fd40) at ./viewbase.moc:55
> [...]
> #13 0xb76f8c75 in Mixer::controlChanged (this=0xa080ee0) at ./mixer.moc:117

Upgrade to KDE 4.8.3, it's already fixed.

*** Bug 300839 has been marked as a duplicate of this bug. ***

*** Bug 300867 has been marked as a duplicate of this bug. ***

Hey,

Could you please take me off the list for all these mails. I receive
about 35 of them per day, without any significant additional
information. My specific problem is that Skype doesn't work under KMixer
and that every time I try to adjust the sounds on KMixer, Skype crashes.

Thank you...best regards,

Francesc

---
vriendelijke groeten / kind regards,
Francesc Montserrat, Post-doctoral Researcher
Department of Ecosystem Studies
*Royal NIOZ*
Korringaweg 7
(PO Box 140)
4401 AC Yerseke
The Netherlands
Office: +31 (0)113 577 472
Mobile: +31 (0)6 2481 5595

_*ATTENTION:*_
As from January 1st 2012, the NIOO-CEME is merged with the Royal Netherlands Institute for Sea Research (NIOZ). Our telephone number and (postal) address remain the same, but*our e-mail addresses have been changed*. We ask you to take notice of this.

On 05/30/2012 01:49 PM, Jekyll Wu wrote:
> https://bugs.kde.org/show_bug.cgi?id=290742
>
> Jekyll Wu<email address hidden> changed:
>
> What |Removed |Added
> ----------------------------------------------------------------------------
> CC| |<email address hidden>
> | |r
>
> --- Comment #234 from Jekyll Wu<email address hidden> ---
> *** Bug 300867 has been marked as a duplicate of this bug. ***
>

(In reply to comment #235)
> Hey,
>
> Could you please take me off the list for all these mails. I receive
> about 35 of them per day, without any significant additional
> information. My specific problem is that Skype doesn't work under KMixer
> and that every time I try to adjust the sounds on KMixer, Skype crashes.
>
> Thank you...best regards,
>
> Francesc
>
> ---
> vriendelijke groeten / kind regards,
> Francesc Montserrat, Post-doctoral Researcher
> Department of Ecosystem Studies
> *Royal NIOZ*
> Korringaweg 7
> (PO Box 140)
> 4401 AC Yerseke
> The Netherlands
> Office: +31 (0)113 577 472
> Mobile: +31 (0)6 2481 5595
>
>
>
>
>
>
>
> _*ATTENTION:*_
> As from January 1st 2012, the NIOO-CEME is merged with the Royal Netherlands
> Institute for Sea Research (NIOZ). Our telephone number and (postal) address
> remain the same, but*our e-mail addresses have been changed*. We ask you to
> take notice of this.
>
>
> On 05/30/2012 01:49 PM, Jekyll Wu wrote:
> > https://bugs.kde.org/show_bug.cgi?id=290742
> >
> > Jekyll Wu<email address hidden> changed:
> >
> > What |Removed |Added
> > ----------------------------------------------------------------------------
> > CC| |<email address hidden>
> > | |r
> >
> > --- Comment #234 from Jekyll Wu<email address hidden> ---
> > *** Bug 300867 has been marked as a duplicate of this bug. ***
> >

You can remove yourself, can't you?

Go up and see where it says: "CC List: 122 users including you (edit) ", click on "edit", find your email there and click the checkbox where it says "Remove me from the CC list".

(In reply to comment #236)
> (In reply to comment #235)
> > Hey,
> >
> > Could you please take me off the list for all these mails. I receive
> > about 35 of them per day, without any significant additional
> > information. My specific problem is that Skype doesn't work under KMixer
> > and that every time I try to adjust the sounds on KMixer, Skype crashes.
> >
> > Thank you...best regards,
> >
> > Francesc
> >
> > ---
> > vriendelijke groeten / kind regards,
> > Francesc Montserrat, Post-doctoral Researcher
> > Department of Ecosystem Studies
> > *Royal NIOZ*
> > Korringaweg 7
> > (PO Box 140)
> > 4401 AC Yerseke
> > The Netherlands
> > Office: +31 (0)113 577 472
> > Mobile: +31 (0)6 2481 5595
> >
> >
> >
> >
> >
> >
> >
> > _*ATTENTION:*_
> > As from January 1st 2012, the NIOO-CEME is merged with the Royal Netherlands
> > Institute for Sea Research (NIOZ). Our telephone number and (postal) address
> > remain the same, but*our e-mail addresses have been changed*. We ask you to
> > take notice of this.
> >
> >
> > On 05/30/2012 01:49 PM, Jekyll Wu wrote:
> > > https://bugs.kde.org/show_bug.cgi?id=290742
> > >
> > > Jekyll Wu<email address hidden> changed:
> > >
> > > What |Removed |Added
> > > ----------------------------------------------------------------------------
> > > CC| |<email address hidden>
> > > | |r
> > >
> > > --- Comment #234 from Jekyll Wu<email address hidden> ---
> > > *** Bug 300867 has been marked as a duplicate of this bug. ***
> > >
>
> You can remove yourself, can't you?
>
> Go up and see where it says: "CC List: 122 users including you (edit) ",
> click on "edit", find your email there and click the checkbox where it says
> "Remove me from the CC list".

Also, you haven't told us if you have this problem with 4.8.3 or 4.8.2, I think you still have 4.8.2 because I use Skype daily and I haven't seen that problem. So UPGRADE your KDE version.

Thanks Diego, I found it...sorry for bugging you

cheers,
Francesc

---
vriendelijke groeten / kind regards,
Francesc Montserrat, Post-doctoral Researcher
Department of Ecosystem Studies
*Royal NIOZ*
Korringaweg 7
(PO Box 140)
4401 AC Yerseke
The Netherlands
Office: +31 (0)113 577 472
Mobile: +31 (0)6 2481 5595

_*ATTENTION:*_
As from January 1st 2012, the NIOO-CEME is merged with the Royal Netherlands Institute for Sea Research (NIOZ). Our telephone number and (postal) address remain the same, but*our e-mail addresses have been changed*. We ask you to take notice of this.

On 05/30/2012 01:59 PM, Diego Viola wrote:
> https://bugs.kde.org/show_bug.cgi?id=290742
>
> --- Comment #236 from Diego Viola<email address hidden> ---
> (In reply to comment #235)
>> Hey,
>>
>> Could you please take me off the list for all these mails. I receive
>> about 35 of them per day, without any significant additional
>> information. My specific problem is that Skype doesn't work under KMixer
>> and that every time I try to adjust the sounds on KMixer, Skype crashes.
>>
>> Thank you...best regards,
>>
>> Francesc
>>
>> ---
>> vriendelijke groeten / kind regards,
>> Francesc Montserrat, Post-doctoral Researcher
>> Department of Ecosystem Studies
>> *Royal NIOZ*
>> Korringaweg 7
>> (PO Box 140)
>> 4401 AC Yerseke
>> The Netherlands
>> Office: +31 (0)113 577 472
>> Mobile: +31 (0)6 2481 5595
>>
>>
>>
>>
>>
>>
>>
>> _*ATTENTION:*_
>> As from January 1st 2012, the NIOO-CEME is merged with the Royal Netherlands
>> Institute for Sea Research (NIOZ). Our telephone number and (postal) address
>> remain the same, but*our e-mail addresses have been changed*. We ask you to
>> take notice of this.
>>
>>
>> On 05/30/2012 01:49 PM, Jekyll Wu wrote:
>>> https://bugs.kde.org/show_bug.cgi?id=290742
>>>
>>> Jekyll Wu<email address hidden> changed:
>>>
>>> What |Removed |Added
>>> ----------------------------------------------------------------------------
>>> CC| |<email address hidden>
>>> | |r
>>>
>>> --- Comment #234 from Jekyll Wu<email address hidden> ---
>>> *** Bug 300867 has been marked as a duplicate of this bug. ***
>>>
> You can remove yourself, can't you?
>
> Go up and see where it says: "CC List: 122 users including you (edit) ", click
> on "edit", find your email there and click the checkbox where it says "Remove
> me from the CC list".
>

(In reply to comment #238)
> Thanks Diego, I found it...sorry for bugging you
>
> cheers,
> Francesc
>
> ---
> vriendelijke groeten / kind regards,
> Francesc Montserrat, Post-doctoral Researcher
> Department of Ecosystem Studies
> *Royal NIOZ*
> Korringaweg 7
> (PO Box 140)
> 4401 AC Yerseke
> The Netherlands
> Office: +31 (0)113 577 472
> Mobile: +31 (0)6 2481 5595
>
>
>
>
>
>
>
> _*ATTENTION:*_
> As from January 1st 2012, the NIOO-CEME is merged with the Royal Netherlands
> Institute for Sea Research (NIOZ). Our telephone number and (postal) address
> remain the same, but*our e-mail addresses have been changed*. We ask you to
> take notice of this.
>
>
> On 05/30/2012 01:59 PM, Diego Viola wrote:
> > https://bugs.kde.org/show_bug.cgi?id=290742
> >
> > --- Comment #236 from Diego Viola<email address hidden> ---
> > (In reply to comment #235)
> >> Hey,
> >>
> >> Could you please take me off the list for all these mails. I receive
> >> about 35 of them per day, without any significant additional
> >> information. My specific problem is that Skype doesn't work under KMixer
> >> and that every time I try to adjust the sounds on KMixer, Skype crashes.
> >>
> >> Thank you...best regards,
> >>
> >> Francesc
> >>
> >> ---
> >> vriendelijke groeten / kind regards,
> >> Francesc Montserrat, Post-doctoral Researcher
> >> Department of Ecosystem Studies
> >> *Royal NIOZ*
> >> Korringaweg 7
> >> (PO Box 140)
> >> 4401 AC Yerseke
> >> The Netherlands
> >> Office: +31 (0)113 577 472
> >> Mobile: +31 (0)6 2481 5595
> >>
> >>
> >>
> >>
> >>
> >>
> >>
> >> _*ATTENTION:*_
> >> As from January 1st 2012, the NIOO-CEME is merged with the Royal Netherlands
> >> Institute for Sea Research (NIOZ). Our telephone number and (postal) address
> >> remain the same, but*our e-mail addresses have been changed*. We ask you to
> >> take notice of this.
> >>
> >>
> >> On 05/30/2012 01:49 PM, Jekyll Wu wrote:
> >>> https://bugs.kde.org/show_bug.cgi?id=290742
> >>>
> >>> Jekyll Wu<email address hidden> changed:
> >>>
> >>> What |Removed |Added
> >>> ----------------------------------------------------------------------------
> >>> CC| |<email address hidden>
> >>> | |r
> >>>
> >>> --- Comment #234 from Jekyll Wu<email address hidden> ---
> >>> *** Bug 300867 has been marked as a duplicate of this bug. ***
> >>>
> > You can remove yourself, can't you?
> >
> > Go up and see where it says: "CC List: 122 users including you (edit) ", click
> > on "edit", find your email there and click the checkbox where it says "Remove
> > me from the CC list".
> >

Not bugging at all, if you can give us the output of "plasma-desktop --version" that would help to know if you are on KDE 4.8.2 or KDE 4.8.3.

Thanks.

Created attachment 71439
New crash information added by DrKonqi

kmix (4) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed:
Just started kubuntu. The application chrashed after every startup. It happens since I changed Master Channel for playback devices from "RV710/730 HDMI Audio [Radeon HD 4000 series] digital stereo (HDMI)" to "Build-in Audio Analog Stereo".

-- Backtrace (Reduced):
#7 0x00007f5db498de26 in MDWSlider::update (this=0x2ac4ff0) at ../../kmix/gui/mdwslider.cpp:1001
#8 0x00007f5db498964b in ViewDockAreaPopup::refreshVolumeLevels (this=<optimized out>) at ../../kmix/gui/viewdockareapopup.cpp:168
[...]
#11 0x00007f5db4962b0c in Mixer_Backend::readSetFromHW (this=0x2a1ced0) at ../../kmix/backends/mixer_backend.cpp:155
#12 0x00007f5db4972df5 in sink_cb (c=<optimized out>, i=<optimized out>, eol=<optimized out>) at ../../kmix/backends/mixer_pulse.cpp:191
[...]
#15 0x00007f5daa98ca03 in pa_pdispatch_run () from /usr/lib/x86_64-linux-gnu/libpulsecommon-1.1.so

(In reply to comment #240)
> Created attachment 71439 [details]
> New crash information added by DrKonqi
>
> kmix (4) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1
>
> - What I was doing when the application crashed:
> Just started kubuntu. The application chrashed after every startup. It
> happens since I changed Master Channel for playback devices from "RV710/730
> HDMI Audio [Radeon HD 4000 series] digital stereo (HDMI)" to "Build-in Audio
> Analog Stereo".
>
> -- Backtrace (Reduced):
> #7 0x00007f5db498de26 in MDWSlider::update (this=0x2ac4ff0) at
> ../../kmix/gui/mdwslider.cpp:1001
> #8 0x00007f5db498964b in ViewDockAreaPopup::refreshVolumeLevels
> (this=<optimized out>) at ../../kmix/gui/viewdockareapopup.cpp:168
> [...]
> #11 0x00007f5db4962b0c in Mixer_Backend::readSetFromHW (this=0x2a1ced0) at
> ../../kmix/backends/mixer_backend.cpp:155
> #12 0x00007f5db4972df5 in sink_cb (c=<optimized out>, i=<optimized out>,
> eol=<optimized out>) at ../../kmix/backends/mixer_pulse.cpp:191
> [...]
> #15 0x00007f5daa98ca03 in pa_pdispatch_run () from
> /usr/lib/x86_64-linux-gnu/libpulsecommon-1.1.so

Upgrade to KDE 4.8.3, it's fixed in 4.8.3.

>
> You can remove yourself, can't you?
>
> Go up and see where it says: "CC List: 122 users including you (edit) ",
> click on "edit", find your email there and click the checkbox where it says
> "Remove me from the CC list".

unfortunately the reporter can't remove himself it seems...

*** Bug 301221 has been marked as a duplicate of this bug. ***

*** Bug 301304 has been marked as a duplicate of this bug. ***

*** Bug 302021 has been marked as a duplicate of this bug. ***

*** Bug 302097 has been marked as a duplicate of this bug. ***

*** Bug 302127 has been marked as a duplicate of this bug. ***

Created attachment 72011
New crash information added by DrKonqi

kmix (4) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed: Adjusting the system volume/ starting the KDE desktop.

-- Backtrace (Reduced):
#7 0xb7778979 in MDWSlider::volumeChange (this=0x8813f00) at ../../kmix/gui/mdwslider.cpp:854
#8 0xb777b389 in qt_static_metacall (_a=0xbfa43dd8, _id=14, _o=0x8813f00, _c=<optimized out>) at ./mdwslider.moc:98
#9 MDWSlider::qt_static_metacall (_o=0x8813f00, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0xbfa43dd8) at ./mdwslider.moc:78
[...]
#11 0xb68fef85 in QAbstractSlider::valueChanged (this=0x8816f50, _t1=58424) at .moc/release-shared/moc_qabstractslider.cpp:196
#12 0xb65f5fd5 in QAbstractSlider::setValue (this=0x8816f50, value=58424) at widgets/qabstractslider.cpp:543

Created attachment 72145
New crash information added by DrKonqi

kmix (4) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed:
  1. Opened a streaming youtube video embedded in facebook
  2. Didn't hear any sound, so I tried adjusting the volume using the volume keys on my ThinkPad
  3. KMix crashed

-- Backtrace (Reduced):
#7 0x00007f18d97e2e26 in MDWSlider::update (this=0x23173b0) at ../../kmix/gui/mdwslider.cpp:1001
#8 0x00007f18d97de64b in ViewDockAreaPopup::refreshVolumeLevels (this=<optimized out>) at ../../kmix/gui/viewdockareapopup.cpp:168
[...]
#11 0x00007f18d97b7b0c in Mixer_Backend::readSetFromHW (this=0x21add20) at ../../kmix/backends/mixer_backend.cpp:155
#12 0x00007f18d97c7df5 in sink_cb (c=<optimized out>, i=<optimized out>, eol=<optimized out>) at ../../kmix/backends/mixer_pulse.cpp:191
[...]
#15 0x00007f18cf7e1a03 in pa_pdispatch_run () from /usr/lib/x86_64-linux-gnu/libpulsecommon-1.1.so

*** Bug 302736 has been marked as a duplicate of this bug. ***

*** Bug 302486 has been marked as a duplicate of this bug. ***

*** Bug 297938 has been marked as a duplicate of this bug. ***

Scott Kitterman (kitterman) wrote :

Fixed in precise-updates.

Changed in kdemultimedia (Ubuntu Precise):
status: Triaged → Fix Released

Created attachment 73313
New crash information added by DrKonqi

kmix (4) on KDE Platform 4.8.2 (4.8.2) using Qt 4.8.1

- What I was doing when the application crashed:

the computer had just booted up. It is on a USBflash. Just as the computer completed the boot, it crashd.

-- Backtrace (Reduced):
#7 0xb76a1f75 in MDWSlider::update (this=0x8e6f760) at ../../kmix/gui/mdwslider.cpp:1001
#8 0xb769cc23 in ViewDockAreaPopup::refreshVolumeLevels (this=0x8e6f0c0) at ../../kmix/gui/viewdockareapopup.cpp:168
#9 0xb7699913 in qt_static_metacall (_a=0xbfed2ef0, _id=3, _o=0x8e6f0c0, _c=<optimized out>) at ./viewbase.moc:64
#10 ViewBase::qt_static_metacall (_o=0x8e6f0c0, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbfed2ef0) at ./viewbase.moc:55
[...]
#12 0xb76bcc75 in Mixer::controlChanged (this=0x8c669b0) at ./mixer.moc:117

Displaying first 40 and last 40 comments. View all 262 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.